import com.imdroid.beidou_fwd.entity.KingMaData;
import com.imdroid.common.util.GsonUtil;
import com.imdroid.secapi.dto.GnssCalcData;
import com.imdroid.secapi.utils.HexUtil;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class DataTest {
    public static void main(String[] args) {
        List<KingMaData> dataList = new ArrayList<>(3);

        for(int i=0;i<3;i++) {
            KingMaData data = new KingMaData();
            data.setDataTime(LocalDateTime.now().toString());
            data.setProjectId("12345");
            data.setPointId("2350123");
            data.setFlag(1);
            data.setPhys(new KingMaData.Phys(100.23+i*3, 1234.56+i*2, 555.66+i));
            dataList.add(data);
        }

        String json = GsonUtil.toJson(dataList);
        System.out.println(json);
    }
}
